<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Document</title>
        <style>
            body
            {
                font-family: Tahoma, sans-serif;
            }
            h1
            {
                padding: 5px;
                text-align: center;
            }
            div.outer
            {
                background-color: rgb(169, 215, 209);
                padding: 20px;
            }
            div.inner
            {
                background-color: rgb(250, 250, 250);
            }

            div div#intro
            {
                align-self: center;
                text-align: center;
            }
            table tr td:nth-child(1)
            {
                text-align: right;
            }
            table tr td:nth-child(2)
            {
                text-align: left;
            }
            table tr td 
            {
                vertical-align: top;
            }
            div.centered 
            {
                text-align: center;
            }
            table
            {
                border-spacing: 2em;
            }
            div.centered table 
            {
                margin: 0 auto; 
            }

            fieldset{
                border: none;
                margin: 0;
            }
        </style>
    </head>
    <body>
        <div class="outer">
            <h1>Survey Form</h1>
            <div class="inner">
                <div id="intro">Let us know how we can improve freeCodeCamp</div>
                <div class="centered">
                    <table>
                        <tr>
                            <td>* Name</td>
                            <td><input type="text" name="Name" placeholder="Enter your name"></td>
                        </tr>
                        <tr>
                            <td>* Email</td>
                            <td><input type="text" name="Email" placeholder="Enter your Email"></td>
                        </tr>
                        <tr>
                            <td>* Age</td>
                            <td><input type="number" name="age" placeholder="Age"></td>
                        </tr>
                        <tr>
                            <td>Which option best describes your current role?</td>
                            <td>
                                <select>
                                    <option value="student">Student</option>
                                    <option value="whk">Student Assistnet</option>
                                    <option value="prof">Prof</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>* How likely is that you would recommend<br>freeCodeCamp to a friend?</td>
                            <td>
                                <fieldset id="rec">
                                    <input type="radio" id="def" name="definitely" value="Definitely">
                                    <label for="def"> Definitely</label><br>
                                    <input type="radio" id="may" name="maybe" value="Maybe">
                                    <label for="may"> Maybe</label><br>
                                    <input type="radio" id="ns" name="notsure" value="NotSure">
                                    <label for="ns"> Not sure</label><br>
                                </fieldset>
                            </td>
                        </tr>
                        <tr>
                            <td>What do you like most in FCC:</td>
                            <td>
                                <select>
                                    <option value="none">Select an option</option>
                                    <option value="nothing">Nothing</option>
                                    <option value="everything">Everything</option>
                                </select>
                            </td>
                        </tr>
                        <tr>
                            <td>Things that should be imporived in the future<br>(Check all that apply):</td>
                            <td>
                                <fieldset id="imp">
                                    <label>
                                        <input type="checkbox" name="front" value="Frontend">
                                        Front-end Projects
                                    </label><br>
                                    <label>
                                        <input type="checkbox" name="back" value="Backend">
                                        Back-end Projects
                                    </label><br>
                                    <label>
                                        <input type="checkbox" name="data" value="Data">
                                        Data Visualization
                                    </label><br>
                                </fieldset> 
                            </td>
                        </tr>
                    </table>
                </div> 
            </div>
        </div>
    </body>
</html>